Skip to main content
PUT
/
v1
/
businesses
/
{businessId}
/
external-accounts
/
{externalAccountId}
/
transaction-date-range
Update transaction date range
curl --request PUT \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/transaction-date-range \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "show_transactions_on_or_after": "2023-11-07T05:31:56Z",
  "show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
  "external_account_source": "UNIT",
  "external_account_name": "My external bank account",
  "latest_balance_timestamp": {
    "external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
    "external_account_source": "UNIT",
    "balance": 123,
    "at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "current_ledger_balance": 123,
  "uncategorized_transaction_sum": 123,
  "mask": "4321",
  "institution": {
    "name": "Bank of Generica",
    "logo": "iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEUAAAAAC1ETC"
  },
  "notifications": [
    {
      "type": "OPENING_BALANCE_MISSING",
      "scope": "USER"
    }
  ],
  "connection_needs_repair_as_of": "2023-11-07T05:31:56Z",
  "reconnect_with_new_credentials": true,
  "requires_user_confirmation_as_of": "2023-11-07T05:31:56Z",
  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connection_external_id": "<string>",
  "user_created": true,
  "is_syncing": true,
  "ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "archived_at": "2023-11-07T05:31:56Z",
  "show_transactions_on_or_after": "2023-11-07T05:31:56Z",
  "show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business that owns the external account.

externalAccountId
string<uuid>
required

The UUID of the external account to update the date range for.

Body

application/json

Parameters for updating the visible transaction date range on an external account.

show_transactions_on_or_after
string<date-time> | null

If set, only transactions on or after this timestamp will be visible. Set to null to remove the lower bound and show all transactions regardless of how old they are.

show_transactions_on_or_before
string<date-time> | null

If set, only transactions on or before this timestamp will be visible. Set to null to remove the upper bound and show all transactions regardless of date.

Response

Transaction date range updated successfully. Returns the updated external account.

id
string<uuid>

Unique identifier for the external account.

external_account_external_id
string

Unique ID of the external account in an external system for linking and idempotency.

Example:

"0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq"

external_account_source
enum<string>

Source of the external account.

Available options:
UNIT,
PLAID,
API,
STRIPE,
CUSTOM
external_account_name
string

Name of the external account.

Example:

"My external bank account"

latest_balance_timestamp
object

The latest balance timestamp.

current_ledger_balance
integer<int64>

Current ledger balance of the external account in cents.

uncategorized_transaction_sum
integer<int64>

Sum of uncategorized transactions for this external account in cents.

mask
string | null

Last 4 digits of the external account number.

Example:

"4321"

institution
object

The institution that the external account is associated with.

notifications
object[]

List of notifications for this external account.

connection_needs_repair_as_of
string<date-time> | null

Timestamp indicating when the connection started needing repair.

reconnect_with_new_credentials
boolean

Whether the connection requires reconnection with new credentials.

requires_user_confirmation_as_of
string<date-time> | null

Timestamp indicating when user confirmation was required.

connection_id
string<uuid> | null

Unique identifier for the connection.

connection_external_id
string | null

External identifier for the connection.

user_created
boolean

Whether this external account was created by a user.

is_syncing
boolean

Whether the external account is currently syncing.

ledger_account_id
string<uuid> | null

The ID of the ledger account associated with the external account.

archived_at
string<date-time> | null

Timestamp when the external account was archived.

show_transactions_on_or_after
string<date-time> | null

If set, only transactions on or after this timestamp are visible. Transactions before this date are hidden from user-facing views and API queries. When this value is set or moved forward, any categorized transactions that fall outside the new bounds are automatically uncategorized.

show_transactions_on_or_before
string<date-time> | null

If set, only transactions on or before this timestamp are visible. Transactions after this date are hidden from user-facing views and API queries. When this value is set or moved backward, any categorized transactions that fall outside the new bounds are automatically uncategorized.